<div class="rewarding-section">
  <form id="rewarding-form" class="rewarding-emaill-form"> <!-- Wrap the input field and button in a form element -->
    <input type="email" name="user-email" id="user-email" placeholder="Enter your email" required>
    <div>
      <p class="rewarding-terms">By clicking, you agree to the <a
          href="https://firebasestorage.googleapis.com/v0/b/gt-org-prod.appspot.com/o/resellers%2FBQdKny8CS0CwWimHz0g3%2Ftos.pdf?alt=media&token=d10607ac-85da-49b6-a8b5-831ca12a6fe4"
          target="_blank">Terms of Service</a>.</p>
    <button type="submit" class="popup-button" id="get-here-rewarding-button" data-user-email="{user-email}">Get Here!</button>
    </div>
  </form>
</div>